Bug 248077 - Eclipse hangs consuming 100% CPU
Eclipse hangs consuming 100% CPU
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
7
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-12 23:15 EDT by Srihari Vijayaraghavan
Modified: 2008-06-16 21:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:52:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Srihari Vijayaraghavan 2007-07-12 23:15:24 EDT
Description of problem:
Occasionally, Eclipse hangs consuming 100% CPU. Once it starts doing that, it
never recovers, only terminating the process fixes things up. 

Version-Release number of selected component (if applicable):
eclipse-platform-3.2.2-15.fc7

How reproducible:
Occasionally

Steps to Reproduce:
1. Work with a project on a python file
2. Observe it to hang
3.
  
Actual results:
It hangs consuming 100% CPU.

Expected results:
Not to hang.

Additional info:
Have been using Eclipse with eclipse-pydev only. Not sure if it's limited to
eclipse-pydev only.
Comment 1 Srihari Vijayaraghavan 2007-07-12 23:21:18 EDT
When restarted, it gives this info:
JVM terminated. Exit code=1
/usr/bin/java
-Xms40m
-Xmx256m
-Dosgi.sharedConfiguration.area=/usr/lib64/eclipse/configuration
-jar /usr/share/eclipse/startup.jar
-os linux
-ws gtk
-arch x86_64
-launcher /usr/bin/eclipse
-name Eclipse
-showsplash 600
-exitdata 78002
-vm /usr/bin/java
-vmargs
-Xms40m
-Xmx256m
-Dosgi.sharedConfiguration.area=/usr/lib64/eclipse/configuration
-jar /usr/share/eclipse/startup.jar 
Comment 2 Srihari Vijayaraghavan 2007-07-13 08:58:10 EDT
Often this leads to data loss of recently unsaved information :-(. A little
frustrating to lose the shiny new function implemented a minute ago, because you
haven't pressed 'ctrl+s'. Interestingly, I couldn't find the "auto-save"
function either in Eclipse's configuration section in the GUI.

Would be ideal to force a auto-save every min to avoid major loss. If anybody
knows how to activate auto-save in Eclipse, please let me know.

(I'm however forcing me to develop the ctrl + s syndrome of typing ctrl+s after
every line of coding :-((. Worst case scenario, I can always rely on Emacs.)
Comment 3 Andrew Overholt 2007-07-13 10:13:59 EDT
This is a known gij issue.  It is very difficult to track down because it seems
that it is intermittent and does not occur on all hardware.  If you can get it
to consistently happen, it could be fixed, but so far we have only heard
anecdotal reports of it and cannot get a consistent reproducible test case.

As for auto-save, the Eclipse SDK does not have such a feature.  It is planned
for a future release (it might even be in 3.3 but don't quote me on that) but is
not in 3.2.2 that we have in Fedora.  There's an upstream bug on it if you care
to CC yourself.
Comment 4 Srihari Vijayaraghavan 2007-07-14 04:47:19 EDT
Confirmed it to happen on Fedora 7 x86 (laptop system) also:
JVM terminated. Exit code=1
/usr/bin/java
-Xms40m
-Xmx256m
-Dosgi.sharedConfiguration.area=/usr/lib/eclipse/configuration
-jar /usr/share/eclipse/startup.jar
-os linux
-ws gtk
-arch x86
-launcher /usr/bin/eclipse
-name Eclipse
-showsplash 600
-exitdata b0002
-vm /usr/bin/java
-vmargs
-Xms40m
-Xmx256m
-Dosgi.sharedConfiguration.area=/usr/lib/eclipse/configuration
-jar /usr/share/eclipse/startup.jar


(originally reported for a Fedora 7 x86-64 desktop system)

Thanks

PS: Have not discovered a reproducible test case yet. Still trying to work out..
Comment 5 Bug Zapper 2008-05-14 09:31:57 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 21:52:10 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.